<?php

namespace Teknisa\DF\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\Libs\Util\Environment;
use Teknisa\DF\Factories\InformacoesDePagamentoFactory;


class InformacoesDePagamentoService {
    protected $entityManager;
    protected $environment;
    protected $paramPagFactory;
    protected $crudService;

    public function __construct(EntityManager $entityManager,Environment $environment,InformacoesDePagamentoFactory $paramPagFactory,$crudService){
        $this->entityManager = $entityManager;
        $this->environment = $environment;
        $this->paramPagFactory = $paramPagFactory;
        $this->crudService = $crudService;
    }
    
    public function saveInfoPagamento($row) {
       return $this->paramPagFactory->saveInfoPagamento($row['CDFILIAL'], $row['NRLANCTONF'], $row);
    }
    public function deleteInfoPagamento($row) {
       return $this->paramPagFactory->deleteInfoPagamento($row['CDFILIAL'], $row['NRLANCTONF'], $row);
    }
    public function editaInfoPagamento($row) {
       return $this->paramPagFactory->editaInfoPagamento($row['CDFILIAL'], $row['NRLANCTONF'], $row);
    }
}